function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import Box from '@mui/material/Box';
export const CodeBar = ({
  barBegin,
  barContent,
  barEnd,
  style,
  spacingTop = 0.5
}) => {
  return barBegin || barContent || barEnd ? React.createElement(Box, {
    mt: spacingTop,
    style: _objectSpread(_objectSpread({}, style || {}), {}, {
      display: 'flex',
      alignItems: 'center',
      overflow: 'auto'
    })
  }, barBegin || null, barContent ? React.createElement(Box, {
    ml: barBegin && barContent ? 1 : 0,
    mr: barEnd && barContent ? 1 : 0,
    style: {
      overflow: 'auto'
    }
  }, barContent || null) : null, barEnd || null) : null;
};