import React from 'react';
import { WidgetProps, WithScalarValue } from '@ui-schema/ui-schema';
import { CodeMirrorComponentProps } from '@ui-schema/kit-codemirror/CodeMirror';
import { Extension } from '@codemirror/state';
import { CodeBarProps } from '@ui-schema/material-code/CodeBar';
export interface WidgetCodeProps {
    CodeMirror: React.FC<CodeMirrorComponentProps>;
    extensions?: Extension[];
    barBegin?: React.ReactElement;
    barContent?: React.ReactElement;
    barEnd?: React.ReactElement;
    CodeBar?: React.FC<CodeBarProps>;
    formatValue: string | undefined;
    readOnly?: boolean;
}
export declare const WidgetCode: React.ComponentType<WidgetProps & WithScalarValue & WidgetCodeProps>;
