import React from 'react';
import { StoreKeyType, WidgetProps, WithScalarValue } from '@ui-schema/ui-schema';
import { WidgetCodeProps } from '@ui-schema/material-code';
import { CodeBarProps } from '@ui-schema/material-code/CodeBar';
export interface WidgetCodeSelectProps {
    value: string | undefined;
    formatKey: StoreKeyType;
    valueKey: StoreKeyType;
    selectSize?: 'small' | 'medium';
    CodeBar?: React.FC<CodeBarProps>;
    onChangeFormat?: (format: string) => void;
}
export declare const WidgetCodeSelectable: React.ComponentType<WidgetProps & WithScalarValue & Omit<WidgetCodeProps, 'barBegin'> & WidgetCodeSelectProps>;
